org.gradle.tooling.model

## Interface HierarchicalElement

- All Superinterfaces:
    Element, Model
  All Known Subinterfaces:
    BasicIdeaProject, EclipseProject, GradleProject, HierarchicalEclipseProject, IdeaModule, IdeaProject

      public interface HierarchicalElement
      extends Element

  Represents an element which belongs to some hierarchy.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainObjectSet<? extends HierarchicalElement>` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
    `HierarchicalElement` | `getParent()` Returns the parent of this element, or `null` if there is no parent.

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`

- - ### Method Detail

    - #### getParent

          @Nullable
          HierarchicalElement getParent()

      Returns the parent of this element, or `null` if there is no parent.
      Returns:
        The parent of this element, or `null` if there is no parent.

    - #### getChildren

          DomainObjectSet<? extends HierarchicalElement> getChildren()

      Returns the child elements, or the empty set if there are no child elements.
      Returns:
        The child elements, or the empty set if there are no child elements.